## cryptsetup 2.6.0

=== debian/changelog ===
cryptsetup (2:2.6.0-2) unstable; urgency=low

  * libcryptsetup-dev: Add 'Depends: libargon2-dev, libblkid-dev,
    libdevmapper-dev, libjson-c-dev, libssl-dev, uuid-dev' to account for
    libcryptsetup.pc's Requires.private.  Closes: #1025054.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 29 Nov 2022 15:42:25 +0100

cryptsetup (2:2.6.0-1) unstable; urgency=low

  * New upstream release 2.6.0.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 29 Nov 2022 01:20:38 +0100

cryptsetup (2:2.6.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate 2.6.0, introducing support for handling
    macOS FileVault2 devices (FVAULT2).  The new version of FileVault based on
    the APFS filesystem used in recent macOS versions is currently not
    supported: only the (legacy) FileVault2 format based on Core Storage and
    HFS+ filesystem (introduced in MacOS X 10.7 Lion) is supported.  Moreover
    header formatting and changes are not supported; cryptsetup never changes
    the metadata on the device.
    Closes: #923513.
  * Update d/copyright for 2:2.6.0~rc0-1.
  * Ship cryptsetup-fvault2Dump(8) and cryptsetup-fvault2Open(8) to
    cryptsetup-bin binary package.
  * Update d/libcryptsetup12.symbols for 2:2.6.0~rc0-1.
  * Add 'fvault2' flag to crypttab(5) to force detection of Apple's FileVault2
    volumes.
  * d/rules: Add new target execute_before_dh_auto_test so blhc ignores
    compilations of tests/*.c.
  * d/u/metadata: Set 'Security-Contact' upstream metadata field.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 19 Nov 2022 17:30:40 +0100

cryptsetup (2:2.5.0-6) unstable; urgency=medium

  * d/t/cryptroot-*: Mask systemd-firstboot.service.
  * d/t/cryptroot-*: Use camel case for apt.conf(5) settings.
  * d/t/cryptroot-*: _apt(): Sort apt.conf(5) settings.
  * d/t/cryptroot-*: Honor apt_preferences(5) settings under autopkgtest.
  * d/t/cryptroot-*: init: bind mount temporary filesystems to fix
    autopkgtests with systemd 252. (Closes: #1022970)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 28 Oct 2022 19:30:14 +0200

cryptsetup (2:2.5.0-5) unstable; urgency=medium

  * d/t/cryptroot-*: Bump setup timeout to 3600s so autopkgtests don't fail on
    debci runners lacking KVM support.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 04 Oct 2022 20:01:50 +0200

cryptsetup (2:2.5.0-4) unstable; urgency=medium

  * suspend.conf: Improve description and typofix.
  * d/t/cryptroot-*: Fix race condition between creating new partition and
    using them.
  * d/t/cryptroot-*: Fail the test after a reasonable timeout.
    (Closes: #1020714)
  * d/t/cryptroot-*: setup_apt(): Add 'Identifier: Packages' to `apt-get
    indextargets` filter.
  * cryptsetup-suspend-wrapper: Explicitly disable udev support when resuming.
    (Closes: #1020553)
  * d/t/cryptroot-*: Pin versions for all packages in PKGS_EXTRA that are part
    of src:cryptsetup.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 04 Oct 2022 01:14:30 +0200

cryptsetup (2:2.5.0-3) unstable; urgency=low

  * d/t/cryptroot-*: Disable VGA card on the guest.
  * d/t/cryptroot-*: Communicate with guests on /dev/hvc0 and remove
    console=hvc0 from the kernel command line to get a noise-free channel.
  * d/t/cryptroot-*: poweroff(): Use poweroff(8) not `echo o
    >/proc/sysrq-trigger`.
  * d/t/cryptroot-*: hibernate(): Use systemctl(1) not `echo disk
    >/sys/power/state`.
  * d/t/cryptroot-*: Use a separate logfile for each communication channel.
  * Refactor d/t/utils/mock.pm and add QMP support; this adds 'Depends:
    libjson-perl' to cryptroot-* autopkgtests.
  * d/t/cryptroot-*: Use the QMP "quit" command to destroy guests early.
  * d/t/cryptroot-*: Start getty on /dev/hvc0 only (not /dev/ttyS0) in
    non-interactive mode.
  * d/t/cryptroot-*: Remove console=tty0 from the kernel command line.
  * d/t/cryptroot-*: Mask all timer units to avoid cluttering test
    environments with background jobs.
  * d/t/cryptroot-lvm: Also test cryptsetup-suspend (enter to and resume from
    S3 state).
  * d/t/cryptroot-*: Simplify login prompt regex.
  * d/t/cryptroot-*: Use $' when consuming input buffers.
  * Salsa CI: Include recipes/debian.yml.
  * Salsa CI: Remove redundant variable RELEASE=unstable.
  * Salsa CI: Re-enable autopkgtest job with partial coverage.
  * cryptsetup-suspend-wrapper: Improve quoting.
  * cryptsetup-suspend-wrapper: Use crypttab_find_entry()'s return status.
  * d/copyright: Improve wording.
  * d/copyright: Fix license for d/scripts/suspend/cryptsetup-suspend.c .
  * Add license headers for d/scripts/suspend/*.
  * Relicense own code from GPLv2+ to GPLv3+.
  * cryptsetup-suspend-wrapper: Don't bindmount temporary filesystems.
  * cryptsetup-suspend-wrapper: Improve $INITRAMFS_DIR detection and cleanup.
  * cryptsetup-suspend-wrapper: Improve TODO comment.
  * d/t/cryptroot-*: Add a network device in interactive mode.
  * d/t/cryptroot-lvm: Test I/O on the root FS after wakeup to make sure the
    device is not suspended.
  * cryptsetup-suspend-wrapper: Harden chroot environment: mount ramfs
    read-only and with the 'nodev' option, make it unbindable, and use a
    restrictive root mode.
  * initramfs hook: Remove duplicate unmangling.
  * initramfs hook: populate_CRYPTO_HASHES(): Add missing call to
    crypttab_parse_options().
  * d/functions: crypttab_parse_options(): Always reset $CRYPTTAB_TYPE.
  * cryptsetup-suspend-wrapper: Ignore $KEEP_INITRAMFS if a newer initrd is
    detected.
  * d/functions: resume_device(): Fix resuming by keyscript.
  * d/functions: Refactor resume_device() and freeze_cgroups().
  * cryptsetup-suspend-wrapper: Don't copy /lib/firmware if it already exists
    in the initrd.
  * cryptsetup-suspend-wrapper: Don't treat udevd specially as luksResume now
    appears to work when udevd is still frozen.
  * cryptsetup-suspend-wrapper: Populate ACTIVE_DEVICES via callback.
  * cryptsetup-suspend-wrapper: Use FD3 to list remaining devices.

