## cryptsetup 2.7.0~rc1

=== debian/changelog ===
cryptsetup (2:2.7.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/gbp.conf: Set ‘debian-branch = debian/experimental’.
  * Add new DEP-8 test to check crypto backend flags.  (And whether system
    libargon2 is used.)
  * OpenSSL's own argon2 implementation rather than libargon2.  This requires
    OpenSSL 3.2 or later.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 20 Dec 2023 18:28:36 +0100

cryptsetup (2:2.7.0~rc0-2) experimental; urgency=medium

  Rebuild for experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Dec 2023 21:11:42 +0100

cryptsetup (2:2.6.1-6) unstable; urgency=medium

  [ Kevin Locke ]
  * cryptsetup-initramfs: Add support for compressed kernel modules.
    (Closes: #1036049, #1057441)

  [ Guilhem Moulin ]
  * d/tests: Replace `passwd --delete` with `busybox passwd -d`.
  * add_modules(): Change suffix drop logic to match initramfs-tools.
  * Fix DEP-8 tests with kernels shipping compressed modules.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Dec 2023 17:48:58 +0100

cryptsetup (2:2.7.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate 2.7.0:
    + Add support for (opt-in) hardware OPAL disk encryption.
    + plain mode: Set default cipher to aes-xts-plain64 and password hashing
      to sha256.  This is a backward incompatible change for plain mode when
      relying on the defaults.  It doesn't affect LUKS volumes.  Defaults for
      plain mode should not be relied upon anyway; for many releases the
      Debian wrappers found in the ‘cryptsetup’ binary package spew a loud
      warning when ‘cipher=’ or ‘hash=’ are not explicitly specified in the
      crypttab(5) options of plain devices.  The cryptsetup(8) executable now
      issue such a warning as well.
    + Allow activation (open), luksResume, and luksAddKey to use the volume
      key stored in a keyring.
    + Allow one to store volume key to a user-specified keyring in open and
      luksResume commands.
  * Update d/libcryptsetup12.symbols.
  * Remove d/patches applied upstream.
  * Update debian/* to reflect current cipher and hash for plain mode.
  * d/tests: Replace `passwd --delete` with `busybox passwd -d`.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Nov 2023 17:19:10 +0100

cryptsetup (2:2.6.1-5) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/control: Drop cryptsetup-run transitional binary package.
    (Closes: #1038285)

  [ Michael Biebl ]
  * cryptsetup-suspend-wrapper: Don't error out on missing
    /lib/systemd/system-sleep directory, which was removed from the systemd
    package. (Closes: #1050606)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 27 Aug 2023 12:24:57 +0200
