=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                docbook-xsl <!nodoc>,
                gettext,
                jq <!nocheck>,
-               libargon2-dev,
                libblkid-dev,
                libdevmapper-dev,
                libjson-c-dev,
@@ -23,7 +22,7 @@
                libselinux1-dev,
                libsepol-dev,
                libssh-dev,
-               libssl-dev,
+               libssl-dev (>> 3.2~),
                libtool,
                pkg-config,
                po-debconf,
@@ -44,8 +43,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
-Replaces: cryptsetup-run (<< 2:2.1.0-6)
-Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -132,16 +129,6 @@
  and requires systemd.  Moreover, this is an early implementation and may not
  be as mature as the other cryptsetup-* packages yet.
 
-Package: cryptsetup-run
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: cryptsetup (>= 2:2.1.0-6), ${misc:Depends}
-Description: transitional dummy package for cryptsetup
- This is a transitional dummy package to get upgrading systems to install the
- cryptsetup package. It can safely be removed once no other package depends on
- it.
-
 Package: libcryptsetup12
 Section: libs
 Architecture: linux-any
@@ -161,8 +148,7 @@
 Multi-Arch: same
 # XXX [#1025065] ideal we would have "Depends: libcryptsetup12
 # (= ${binary:Version}), ${misc:Depends}, ${pkgconf:Depends}"
-Depends: libargon2-dev,
-         libblkid-dev,
+Depends: libblkid-dev,
          libcryptsetup12 (= ${binary:Version}),
          libdevmapper-dev,
          libjson-c-dev,
