=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--sbindir=/sbin \
 		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
-		--enable-libargon2 \
 		--enable-shared \
 		--enable-cryptsetup-reencrypt
