## cryptsetup 2.7.0

=== debian/changelog ===
cryptsetup (2:2.7.0-1ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:57 +0200

cryptsetup (2:2.7.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:59 +0000

cryptsetup (2:2.7.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:36:38 +0000

cryptsetup (2:2.7.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 14:13:21 +0100

cryptsetup (2:2.7.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Revert "d/gbp.conf: Set ‘debian-branch = debian/experimental’."
  * Revert "Use OpenSSL's own argon2 implementation" (since sid doesn't have
    OpenSSL 3.2 yet).
  * Revert "d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version
    to 2.7~."
  * Revert "d/cryptsetup.lintian-overrides: Ignore ‘conflicts-with-version
    cryptsetup-nuke-password’."
  * Revert "d/cryptsetup.lintian-overrides: Remove unused overrides."
  * Revert "/lib/cryptsetup/askpass: coordinated move to /usr for DEP17"

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Feb 2024 12:50:46 +0100

cryptsetup (2:2.7.0-1+exp) experimental; urgency=medium

  * New upstream release.

  [ Guilhem Moulin ]
  * d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version to 2.7~.
  * d/control: Build-Depends: Replace pkg-config with pkgconf.
  * d/cryptsetup-suspend.lintian-overrides: Remove alien tag.
  * d/cryptsetup.lintian-overrides: Remove unused overrides.
  * d/cryptsetup.lintian-overrides: Add override ‘conflicts-with-version
    cryptsetup-nuke-password’.
  * d/t/cryptroot-*: Fix DEP-8 tests with QEMU 8.2.

  [ Helmut Grohne ]
  * /lib/cryptsetup/askpass: coordinated move to /usr for DEP17.
    (Closes: #1060270)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Feb 2024 11:57:19 +0100

cryptsetup (2:2.6.1-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 03 Jan 2024 10:38:16 +0000

cryptsetup (2:2.6.1-5ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)

