=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -15,6 +16,7 @@
                docbook-xsl <!nodoc>,
                gettext,
                jq <!nocheck>,
+               libargon2-dev,
                libblkid-dev,
                libdevmapper-dev,
                libjson-c-dev,
@@ -22,9 +24,9 @@
                libselinux1-dev,
                libsepol-dev,
                libssh-dev,
-               libssl-dev (>> 3.2~),
+               libssl-dev,
                libtool,
-               pkg-config,
+               pkgconf,
                po-debconf,
                procps <!nocheck>,
                uuid-dev,
@@ -42,7 +44,8 @@
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
+Recommends: cryptsetup-initramfs
+Suggests: dosfstools, keyutils, liblocale-gettext-perl
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -91,11 +94,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox | busybox-static,
+Depends: busybox-initramfs,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd
+Recommends: console-setup, kbd, plymouth
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Conflicts: lvm2 (<< 2.03.15-1)
@@ -108,7 +111,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: linux-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
@@ -148,7 +151,8 @@
 Multi-Arch: same
 # XXX [#1025065] ideal we would have "Depends: libcryptsetup12
 # (= ${binary:Version}), ${misc:Depends}, ${pkgconf:Depends}"
-Depends: libblkid-dev,
+Depends: libargon2-dev,
+         libblkid-dev,
          libcryptsetup12 (= ${binary:Version}),
          libdevmapper-dev,
          libjson-c-dev,
