## cryptsetup 2.7.0-1ubuntu4.1trisquel1

=== debian/changelog ===
cryptsetup (2:2.7.0-1ubuntu4.1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Sep 2024 16:40:57 +0000

cryptsetup (2:2.7.0-1ubuntu4.1) noble; urgency=medium

  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 20:38:08 +0200
