## cryptsetup 2.7.0-1ubuntu4.2trisquel1

=== debian/changelog ===
cryptsetup (2:2.7.0-1ubuntu4.2trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 09:19:18 +0000

cryptsetup (2:2.7.0-1ubuntu4.2) noble; urgency=medium

  * Refine proc mounts entries traversal (LP: #2054390)
    - d/functions: Backport upstream commit 95fd4be9b4c6: d/functions:
      get_mnt_devno(): Speed up execution time on large /proc/mounts.

 -- Chengen Du <chengen.du@canonical.com>  Thu, 14 Nov 2024 03:44:47 +0000
