## cryptsetup 2.7.1

=== debian/changelog ===
cryptsetup (2:2.7.1-1+exp) experimental; urgency=medium

  * New bugfix upstream release.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 07 Mar 2024 17:47:40 +0100

cryptsetup (2:2.7.0-1+exp2) experimental; urgency=medium

  * d/functions: get_mnt_devno(): Speed up execution time on large
    /proc/mounts.
  * d/t/cryptroot-*: Fix DEP-8 tests when the kernel .deb installs modules in
    /usr/lib/modules not /lib/modules, such as
    linux-image-6.6.15-686-pae_6.6.15-2_i386.deb.
  * d/control: Adjust versioned cryptsetup-nuke-password Conflicts from
    <4+nmu2~ to <5~.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 03 Mar 2024 23:53:40 +0100
