=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -16,7 +15,6 @@
                docbook-xsl <!nodoc>,
                gettext,
                jq <!nocheck>,
-               libargon2-dev,
                libblkid-dev,
                libdevmapper-dev,
                libjson-c-dev,
@@ -24,7 +22,7 @@
                libselinux1-dev,
                libsepol-dev,
                libssh-dev,
-               libssl-dev,
+               libssl-dev (>> 3.2~),
                libtool,
                pkgconf,
                po-debconf,
@@ -40,12 +38,12 @@
 Package: cryptsetup
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: cryptsetup-bin (>= 2:1.6.0),
+Depends: cryptsetup-bin (>= 2:2.7~),
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: cryptsetup-initramfs
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Conflicts: cryptsetup-nuke-password (<< 5~)
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -94,11 +92,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-initramfs,
+Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Conflicts: lvm2 (<< 2.03.15-1)
@@ -111,7 +109,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
@@ -151,8 +149,7 @@
 Multi-Arch: same
 # XXX [#1025065] ideal we would have "Depends: libcryptsetup12
 # (= ${binary:Version}), ${misc:Depends}, ${pkgconf:Depends}"
-Depends: libargon2-dev,
-         libblkid-dev,
+Depends: libblkid-dev,
          libcryptsetup12 (= ${binary:Version}),
          libdevmapper-dev,
          libjson-c-dev,
